# ApplicationFramework
PTKernel
PColStd

# PColStd_HArray2OfPersistent Class Reference

`#include <PColStd_HArray2OfPersistent.hxx>`

## Public Member Functions

Standard_EXPORT | PColStd_HArray2OfPersistent (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | PColStd_HArray2OfPersistent (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const Handle(Standard_Persistent)&V)
Standard_EXPORT Standard_Integer | ColLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_EXPORT Standard_Integer | RowLength () const
Standard_EXPORT void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Handle(Standard_Persistent)&Value)
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
Standard_EXPORT Handle_Standard_Persistent | Value (const Standard_Integer Row, const Standard_Integer Col) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColStd_HArray2OfPersistent ()
| PColStd_HArray2OfPersistent (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColStd_HArray2OfPersistentmyLowerRow () const
void | _CSFDB_SetPColStd_HArray2OfPersistentmyLowerRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColStd_HArray2OfPersistentmyLowerCol () const
void | _CSFDB_SetPColStd_HArray2OfPersistentmyLowerCol (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColStd_HArray2OfPersistentmyUpperRow () const
void | _CSFDB_SetPColStd_HArray2OfPersistentmyUpperRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColStd_HArray2OfPersistentmyUpperCol () const
void | _CSFDB_SetPColStd_HArray2OfPersistentmyUpperCol (const Standard_Integer p)
const PColStd_FieldOfHArray2OfPersistent & | _CSFDB_GetPColStd_HArray2OfPersistentData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT PColStd_FieldOfHArray2OfPersistent | Field () const
Standard_EXPORT Standard_Address | Datas () const

## Private Attributes

Standard_Integer | myLowerRow
Standard_Integer | myLowerCol
Standard_Integer | myUpperRow
Standard_Integer | myUpperCol
PColStd_FieldOfHArray2OfPersistent | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_HArray2OfPersistent::PColStd_HArray2OfPersistent | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT PColStd_HArray2OfPersistent::PColStd_HArray2OfPersistent | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const Handle(Standard_Persistent)& | V
| ) |

PColStd_HArray2OfPersistent::PColStd_HArray2OfPersistent | ( |  | ) | `[inline]`

PColStd_HArray2OfPersistent::PColStd_HArray2OfPersistent | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColStd_FieldOfHArray2OfPersistent& PColStd_HArray2OfPersistent::_CSFDB_GetPColStd_HArray2OfPersistentData | ( |  | ) | const`[inline]`

Standard_Integer PColStd_HArray2OfPersistent::_CSFDB_GetPColStd_HArray2OfPersistentmyLowerCol | ( |  | ) | const`[inline]`

Standard_Integer PColStd_HArray2OfPersistent::_CSFDB_GetPColStd_HArray2OfPersistentmyLowerRow | ( |  | ) | const`[inline]`

Standard_Integer PColStd_HArray2OfPersistent::_CSFDB_GetPColStd_HArray2OfPersistentmyUpperCol | ( |  | ) | const`[inline]`

Standard_Integer PColStd_HArray2OfPersistent::_CSFDB_GetPColStd_HArray2OfPersistentmyUpperRow | ( |  | ) | const`[inline]`

void PColStd_HArray2OfPersistent::_CSFDB_SetPColStd_HArray2OfPersistentmyLowerCol | ( | const Standard_Integer | p | ) | `[inline]`

void PColStd_HArray2OfPersistent::_CSFDB_SetPColStd_HArray2OfPersistentmyLowerRow | ( | const Standard_Integer | p | ) | `[inline]`

void PColStd_HArray2OfPersistent::_CSFDB_SetPColStd_HArray2OfPersistentmyUpperCol | ( | const Standard_Integer | p | ) | `[inline]`

void PColStd_HArray2OfPersistent::_CSFDB_SetPColStd_HArray2OfPersistentmyUpperRow | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Integer PColStd_HArray2OfPersistent::ColLength | ( |  | ) | const

Standard_EXPORT Standard_Address PColStd_HArray2OfPersistent::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColStd_FieldOfHArray2OfPersistent PColStd_HArray2OfPersistent::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColStd_HArray2OfPersistent::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColStd_HArray2OfPersistent::LowerCol | ( |  | ) | const

Standard_Integer PColStd_HArray2OfPersistent::LowerRow | ( |  | ) | const

Standard_EXPORT Standard_Integer PColStd_HArray2OfPersistent::RowLength | ( |  | ) | const

Standard_EXPORT void PColStd_HArray2OfPersistent::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Handle(Standard_Persistent)& | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColStd_HArray2OfPersistent::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColStd_HArray2OfPersistent::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColStd_HArray2OfPersistent::UpperCol | ( |  | ) | const

Standard_Integer PColStd_HArray2OfPersistent::UpperRow | ( |  | ) | const

Standard_EXPORT Handle_Standard_Persistent PColStd_HArray2OfPersistent::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

PColStd_FieldOfHArray2OfPersistent PColStd_HArray2OfPersistent::Data `[private]`

Standard_Integer PColStd_HArray2OfPersistent::myLowerCol `[private]`

Standard_Integer PColStd_HArray2OfPersistent::myLowerRow `[private]`

Standard_Integer PColStd_HArray2OfPersistent::myUpperCol `[private]`

Standard_Integer PColStd_HArray2OfPersistent::myUpperRow `[private]`

The documentation for this class was generated from the following file:

- PColStd_HArray2OfPersistent.hxx